# Configuration

```lua
Config = {}

Config.Options = {
    JobLocation = {
        JobPlace = vector3(903.24, -2273.5, 32.55), -- Location of the boss menu
        MarkerDistance = 15.0, -- How close the ped need to be before the marker appears (Only if UseTarget is false)
        DisplayDistance = 1.5, -- How close the ped need to be before the Text appears (Only if UseTarget is false)
        DrawMarkerColor = {34, 67, 153, 200}, -- Drawmarker Color (Only if UseTarget is false)
    },
    Job = {
        JobRequired = true, -- if true: only players with the specified job can work, false everyone can work
        JobName = {'trucker'}, -- Job Names required to work
    },
    ReAdd = 300, -- seconds after a job is finished until it can be started again
    HealthChecker = true, -- Checks if the truck is damaged, if damaged then payment will be lower
    blipSprite = 477, -- Blip Sprite (Icon)
    blipColor = 5, -- Blip Color
    blipText = 'Trucker Job', -- Blip label text
    JobCheckTime = 10, -- How often to check if a person has the trucker job in seconds
    TimeLocation = vector2(0.210, 0.960), -- The location of the timer when doing a job
    Jobs = {
        {
            title = 'Furnitures to IKEA', -- Job label text
            level = 0, -- Level required to start the job
            timer = 60 * 20, -- Amount of time you have to complete a job (In Seconds)
            payment = 4500, -- How much money you recieve when job is finnished
            vehicles = {'phantom', 'trailers'}, -- Job vehicle and Job Trailer
            start = {vector3(859.46, -2358.22, 29.34), 354.45}, -- Start Location where the Vehicle spawns
            trailer = {vector3(793.87, -2502.23, 21.42), 83.63}, -- Start Location where the Trailer spawns
            arrive = vector3(2671.0, 3530.35, 51.26), -- Finish location where to detach the trailer
            levelAmount = 1, -- Level per route done
            taken = false -- don't touch
        },
        {
            title = 'Food for SuperBrugsen', 
            level = 0,
            timer = 60 * 20,
            payment = 2500, 
            vehicles = {'phantom', 'trailers2'}, 
            start = {vector3(845.67, -2356.94, 29.34), 354.45}, 
            trailer = {vector3(953.13,-3131.43,5.9), 360.0}, 
            arrive = vector3(103.57, -1819.37, 25.56),
            levelAmount = 1,
            taken = false
        },
        {
            title = 'Food for the Local Stores', 
            level = 0,
            timer = 60 * 20,
            payment = 5500, 
            vehicles = {'phantom', 'trailers2'}, 
            start = {vector3(870.52, -2359.43, 29.35), 354.45}, 
            trailer = {vector3(949.23,-3154.92,5.97), 180.0}, 
            arrive = vector3(-1292.01, -807.06, 16.8),
            levelAmount = 1,
            taken = false
        },
        {
            title = 'Coffee beans for Starbucks', 
            level = 0,
            timer = 60 * 20,
            payment = 3000, 
            vehicles = {'phantom', 'trailers2'}, 
            start = {vector3(845.67, -2356.94, 29.34), 354.45}, 
            trailer = {vector3(1033.6, -2494.6, 28.5), 153.33}, 
            arrive = vector3(-1521.77, -434.84, 34.44),
            levelAmount = 1,
            taken = false
        },
        {
            title = 'Beer for Pitchers',  
            level = 0,
            timer = 60 * 20,
            payment = 3000, 
            vehicles = {'phantom', 'trailers2'}, 
            start = {vector3(870.52, -2359.43, 29.35), 354.45}, 
            trailer = {vector3(1050.06, -3209.64, 5.88), 357.82},
            arrive = vector3(202.34, 384.43, 106.54),
            levelAmount = 1,
            taken = false
        },
        {
            title = 'Container Delivery', 
            level = 2,
            timer = 60 * 25,
            payment = 8500, 
            vehicles = {'phantom', 'trailers2'}, 
            start = {vector3(853.93, -2311.53, 29.34), 174.03}, 
            trailer = {vector3(543.31,-3051.65,6.07), 4.7}, 
            arrive = vector3(-194.22,6299.05,31.48),
            levelAmount = 1,
            taken = false
        },
        {
            title = 'Gasoline to Gastation', 
            level = 4,
            timer = 60 * 25,
            payment = 9500, 
            vehicles = {'phantom', 'tanker'}, 
            start = {vector3(870.52, -2359.43, 29.35), 354.45}, 
            trailer = {vector3(987.76, -2547.34, 28.3), 4.7}, 
            arrive = vector3(1728.05, 6403.19, 33.49),
            levelAmount = 1,
            taken = false
        },
        {
            title = 'Wood for Sawmill', 
            level = 4,
            timer = 60 * 25,
            payment = 9500, 
            vehicles = {'phantom', 'trailerlogs'}, 
            start = {vector3(853.93, -2311.53, 29.34), 352.77}, 
            trailer = {vector3(-846.28, 5415.39, 34.73), 78.59}, 
            arrive = vector3(-578.15, 5325.58, 69.26),
            levelAmount = 1,
            taken = false
        },
        {
            title = 'Boat for Rich Man', 
            level = 8,
            timer = 60 * 25,
            payment = 11500, 
            vehicles = {'phantom', 'tr3'}, 
            start = {vector3(845.67, -2356.94, 29.34), 354.45}, 
            trailer = {vector3(-816.81, -1329.35, 5), 260.48}, 
            arrive = vector3(-3148.27, 1086.19, 19.69),
            levelAmount = 2,
            taken = false
        },
        {
            title = 'Luxury Cars', 
            level = 9,
            timer = 60 * 25,
            payment = 12500, 
            vehicles = {'phantom', 'tr4'}, 
            start = {vector3(853.93, -2311.53, 29.34), 352.77}, 
            trailer = {vector3(-781.57, -194.12, 37.28),  27.18}, 
            arrive = vector3(-1675.33, 400.59, 87.99),
            levelAmount = 2,
            taken = false
        },
    },
}

Strings = { -- String Labels
    ['open_trucker'] = 'Trucker Jobs',
    ['park_blocked'] = "There is already a vehicle parked in the space.",
    ['not_job'] = "You don't have the right job.",
    ['somebody_doing'] = 'There is already another driver on the route, please choose another one.',
    ['menu_title'] = 'Trucking',
    ['e_browse_jobs'] = 'Trucker Job',
    ['start_job'] = 'Start Route',
    ['truck'] = 'Truck',
    ['trailer'] = 'Trailer',
    ['get_to_truck'] = 'Go to your ~y~truck~w~',
    ['get_to_trailer'] = 'Drive to the destination to pick up your ~y~trailer~w~',
    ['destination'] = 'Destination',
    ['get_out'] = 'Get out of your ~y~truck~w~!',
    ['park'] = 'Park your ~y~trailer~w~ at the destination',
    ['park_truck'] = 'Park your ~y~truck~w~ at the destination',
    ['drive_destination'] = 'Drive to ~b~destination~w~',
    ['reward'] = 'Well done! You received %s$',
    ['paid_damages'] = 'Drive more carefully next time! You paid %s for the damage to the truck',
    ['drive_back'] = 'Drive the truck back to where you picked it up.',
    ['detach'] = 'Hold ~y~[H]~w~ to uncouple the trailer',
    ['too_low_lvl'] = 'You are too low level to start this job. \nYour Level: %s \nLevel Required: %s',
    ['recieved_lvl'] = 'You received %s level(s) \nYour new level: %s',
    ['taken'] = 'Busy',
    ['payout'] = 'Payout',
    ['working_timer'] = 'You got ~b~%s~w~:~b~%s~s~ left',
    ['no_time_left'] = 'You didnt finish the job on time.\nYou lost %s level(s)\nYour new levels: %s',
    ['locked'] = 'Locked',

    -- Menu Strings
    ['menu_job_title'] = 'Trucking | Level: %s',
    ['menu_low_level'] = 'This route requires level: %s',
    ['menu_job_taken'] = 'The route is currently unavailable.',
    ['menu_job_available'] = 'The route is ready to be driven.',

    -- Logging
    ["discord_job_started"] = "Player %s (%s) just started the the trucker job: %s",
    ["discord_job_ended_good"] = "Player %s (%s) just finished the the trucker job: %s and earned %s and %s levels",
    ["discord_job_ended_bad"] = "Player %s (%s) just finished the the trucker job: %s and lost %s levels",
    ['discord_abuse'] = 'Player **%s** (**%s**) tried to complete a job without it being taken',
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.txos.dev/resources/txos-trucking/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
